Subject: Pinmux bindings proposal

From: [email-masked] (Tony Lindgren)
Date: Thu, 19 Jan 2012 02:31:13 -0800

* Grant Likely <[email-masked]> [120118 11:48]:
> On Wed, Jan 18, 2012 at 07:32:56AM -0800, Tony Lindgren wrote:
> > 
> > But then the .dts file becomes an unreadable matrix unless we have
> > a preprocessor..
> 
> One node per pin does get excessive in a hurry.  I prefer the one node
> per pin controller.  Tools can be written to make writing the
> definition easier.
 
OK that's fine with me. It would be nice to have the .dts readable
too, so I'd prefer a preprocessor over a .dts generation tool to
keep the .dts files readable. Bugs in .dts file can be a big pain
to debug it seems.

Regards,

Tony